From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/cairosvg/
Date: Thu, 29 Oct 2020 23:38:31 +0000 (UTC) [thread overview]
Message-ID: <1604014706.0d9dc6e258faf9fc27a42484cee7c1f87bd0fab6.mgorny@gentoo> (raw)
commit: 0d9dc6e258faf9fc27a42484cee7c1f87bd0fab6
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 29 23:16:36 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Oct 29 23:38:26 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d9dc6e2
media-gfx/cairosvg: Bump to 2.5.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
media-gfx/cairosvg/Manifest | 1 +
media-gfx/cairosvg/cairosvg-2.5.0.ebuild | 40 ++++++++++++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/media-gfx/cairosvg/Manifest b/media-gfx/cairosvg/Manifest
index a4739c91e19..b3725209e8f 100644
--- a/media-gfx/cairosvg/Manifest
+++ b/media-gfx/cairosvg/Manifest
@@ -1 +1,2 @@
DIST CairoSVG-2.4.2.tar.gz 38715 BLAKE2B 3c8f77561e13e0fdec371a601f09f0d107f972955c8e8fbc34f5092a7ff5f65b24338c20ae8e21b428eea083925a36b3e5635a9b0010c569d013169d919b7a35 SHA512 0d6dd22d9569fd3849cf7f6594c86bed719169dac1f0f3219e88d82f9d245bf29d51715159085cb26c0340c8f0dcb88412d141ec0ee3710b1477626f5a578441
+DIST CairoSVG-2.5.0.tar.gz 40481 BLAKE2B d177570710f54a7d64446de81a700a6ebe5dd475ab75e268575ee2d3a45cb1da14a349d6a5516ef965191093f12ba916a1919fe115fa4b6e4dc0f9a22657946b SHA512 9387273a5531f2e055871d3ccc3b770a46e549dceb443d9d7dbf3635f44da4a752f06ece2f86582f57eac08d59d78f833e1ed2e7badea340d5a0f1eb31beb24c
diff --git a/media-gfx/cairosvg/cairosvg-2.5.0.ebuild b/media-gfx/cairosvg/cairosvg-2.5.0.ebuild
new file mode 100644
index 00000000000..a0513821d46
--- /dev/null
+++ b/media-gfx/cairosvg/cairosvg-2.5.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+MY_PN="CairoSVG"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="CLI and library to export SVG to PDF, PostScript, and PNG"
+HOMEPAGE="https://cairosvg.org/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/cairocffi[${PYTHON_USEDEP}]
+ dev-python/cssselect2[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/tinycss2[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # junk deps
+ sed -e '/pytest-runner/d' \
+ -e '/--flake8/d' \
+ -e '/--isort/d' \
+ -i setup.cfg || die
+ distutils-r1_src_prepare
+}
next reply other threads:[~2020-10-29 23:38 UTC|newest]
Thread overview: 47+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-10-29 23:38 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-25 7:51 [gentoo-commits] repo/gentoo:master commit in: media-gfx/cairosvg/ Michał Górny
2024-07-06 17:58 Michał Górny
2023-11-24 16:26 Michał Górny
2023-11-02 12:58 Michał Górny
2023-11-01 20:37 Arthur Zamarin
2023-09-14 9:58 Andrew Ammerlaan
2023-08-05 14:53 Michał Górny
2023-05-15 4:10 Sam James
2023-05-15 4:10 Sam James
2023-05-13 7:15 Arthur Zamarin
2023-05-13 7:15 Arthur Zamarin
2023-03-22 6:23 Michał Górny
2023-03-21 21:48 Sam James
2023-03-21 5:43 Michał Górny
2023-03-19 19:00 Sam James
2023-01-13 7:09 Michał Górny
2022-07-29 4:17 Sam James
2022-03-14 10:32 Yixun Lan
2021-08-07 12:16 Michał Górny
2021-08-07 12:16 Michał Górny
2021-08-07 12:16 Michał Górny
2021-04-11 11:23 Michał Górny
2021-04-11 11:11 Sam James
2021-04-11 11:06 Sam James
2021-03-06 16:38 Michał Górny
2021-01-24 19:50 Michał Górny
2021-01-21 7:40 Agostino Sarubbo
2021-01-06 23:33 Michał Górny
2021-01-06 23:20 Michał Górny
2021-01-06 21:23 Michał Górny
2020-12-24 10:03 Agostino Sarubbo
2020-12-20 19:07 Thomas Deutschmann
2020-08-01 22:37 Michał Górny
2020-05-04 9:37 Michał Górny
2020-05-03 12:28 Agostino Sarubbo
2020-03-19 18:57 Michał Górny
2020-03-19 17:20 Michał Górny
2020-03-11 8:04 Michał Górny
2020-03-11 8:04 Michał Górny
2018-06-09 14:05 Aaron Bauman
2017-12-22 0:13 Aaron Swenson
2017-12-16 10:32 Tobias Klausmann
2017-11-08 7:08 Patrick Lauer
2017-10-15 21:43 Thomas Deutschmann
2017-07-07 9:36 Aaron Swenson
2016-05-07 12:22 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1604014706.0d9dc6e258faf9fc27a42484cee7c1f87bd0fab6.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox